/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workchangejob.service;

import java.util.List;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workchangejob.entity.WorkChangeJobUser;
import com.jeeplus.modules.workchangejob.dao.WorkChangeJobUserDao;

/**
 * 职级调整明细Service
 * @author chenyuping
 * @version 2018-08-02
 */
@Service
@Transactional(readOnly = true)
public class WorkChangeJobUserService extends CrudService<WorkChangeJobUserDao, WorkChangeJobUser> {

	public WorkChangeJobUser get(String id) {
		return super.get(id);
	}
	
	public List<WorkChangeJobUser> findList(WorkChangeJobUser workChangeJobUser) {
		return super.findList(workChangeJobUser);
	}
	
	public Page<WorkChangeJobUser> findPage(Page<WorkChangeJobUser> page, WorkChangeJobUser workChangeJobUser) {
		return super.findPage(page, workChangeJobUser);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkChangeJobUser workChangeJobUser) {
		super.save(workChangeJobUser);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkChangeJobUser workChangeJobUser) {
		super.delete(workChangeJobUser);
	}
	
	
	
	
}